source: pkg/main/evolution-data-server/trunk/debian/changelog @ 2225

Revision 2225, 34.6 KB checked in by alanbach-guest, 7 years ago (diff)

evolution-d-s updates, 1.12.1

Line 
1evolution-data-server (1.12.1-parsix1) unstable; urgency=low
2
3  * New upstream stable release
4
5 -- Alan Baghumian <alan@technotux.org>  Fri, 19 Oct 2007 06:32:00 +0000
6
7evolution-data-server (1.12.0-parsix1) unstable; urgency=low
8
9  * New upstream stable release
10
11 -- Alan Baghumian <alan@technotux.org>  Mon, 24 Sep 2007 10:19:35 +0000
12
13evolution-data-server (1.10.3.1-parsix1) barry; urgency=low
14
15  * New upstream bug fix release
16
17 -- Alan Baghumian <alan@technotux.org>  Tue, 03 Jul 2007 12:30:21 +0330
18
19evolution-data-server (1.10.3-parsix1) barry; urgency=low
20
21  * New upstream release
22
23 -- Alan Baghumian <alan@technotux.org>  Tue, 03 Jul 2007 08:31:33 +0330
24
25evolution-data-server (1.10.2-parsix2) barry; urgency=low
26
27  * Biarch build
28
29 -- Alan Baghumian <alan@technotux.org>  Mon, 02 Jul 2007 11:17:34 +0330
30
31evolution-data-server (1.10.2-parsix1) barry; urgency=low
32
33  * New upstream release
34
35 -- Alan Baghumian <alan@technotux.org>  Tue, 29 May 2007 15:53:48 +0330
36
37evolution-data-server (1.10.1-parsix1) barry; urgency=low
38
39  * Parsix build
40
41 -- Alan Baghumian <alan@technotux.org>  Sat, 14 Apr 2007 07:43:51 +0330
42
43evolution-data-server (1.10.1-0ubuntu1) feisty; urgency=low
44
45  * New upstream version
46
47 -- Sebastien Bacher <seb128@canonical.com>  Mon,  9 Apr 2007 23:13:16 +0200
48
49evolution-data-server (1.10.0-0ubuntu1) feisty; urgency=low
50
51  * New upstream version
52
53 -- Sebastien Bacher <seb128@canonical.com>  Tue, 13 Mar 2007 01:11:27 +0100
54
55evolution-data-server (1.9.92-0ubuntu1) feisty; urgency=low
56
57  * New upstream version
58  * debian/control:
59    - package maintained by the Ubuntu Desktop Team
60
61 -- Sebastien Bacher <seb128@canonical.com>  Tue, 27 Feb 2007 00:22:27 +0100
62
63evolution-data-server (1.9.91-0ubuntu1) feisty; urgency=low
64
65  * New upstream version
66  * debian/control:
67    - updated Breaks version on evolution to (<< 2.9.91)
68  * debian/patches/50_file-backend-recursive-locking.patch:
69    - dropped, fixed with the new version
70  * debian/patches/80_from_bugzilla_fix_send_receive_hang.patch:
71    - dropped, fixed with the new version
72
73 -- Sebastien Bacher <seb128@canonical.com>  Mon, 12 Feb 2007 18:19:28 +0100
74
75evolution-data-server (1.9.6.1-0ubuntu2) feisty; urgency=low
76
77  * debian/patches/80_from_bugzilla_fix_send_receive_hang.patch:
78    - patch from http://bugzilla.gnome.org/show_bug.cgi?id=384183,
79      fix "send and receive" hanging sometimes with the new version
80      (Ubuntu: #79078)
81
82 -- Sebastien Bacher <seb128@canonical.com>  Fri, 26 Jan 2007 10:34:18 +0100
83
84evolution-data-server (1.9.6.1-0ubuntu1) feisty; urgency=low
85
86  * New upstream version
87  * debian/patches/01_fix_build_without_gnome_keyring.patch:
88    - dropped, fixed with the new version
89  * debian/rules:
90    - don't build the documentation, the .htmls are shipped with the tarball
91
92 -- Sebastien Bacher <seb128@canonical.com>  Wed, 24 Jan 2007 12:58:23 +0100
93
94evolution-data-server (1.9.6-0ubuntu1) feisty; urgency=low
95
96  * New upstream version:
97    - IMAP Configurable Headers
98    - Fallback code for Gnome Keyring
99    - Fixes calling glib methods
100  * debian/patches/01_fix_build_without_gnome_keyring.patch:
101    - fix build when not using the gnome-keyring option
102
103 -- Sebastien Bacher <seb128@canonical.com>  Tue, 23 Jan 2007 12:14:19 +0100
104
105evolution-data-server (1.9.5-0ubuntu1) feisty; urgency=low
106
107  * New upstream version
108
109 -- Sebastien Bacher <seb128@canonical.com>  Mon,  8 Jan 2007 20:45:24 +0100
110
111evolution-data-server (1.9.4-0ubuntu1) feisty; urgency=low
112
113  * New upstream version
114  * debian/control:
115    - updated Breaks version for evolution-data-server
116    - updated for soname changes
117  * debian/libcamel1.2-8.install:
118    - renamed for soname change
119  * debian/libexchange-storage1.2-2.install:
120    - renamed for soname change
121  * debian/patches/40_libcamel_soname_version.patch:
122    - fixed with the new version
123
124 -- Sebastien Bacher <seb128@canonical.com>  Tue, 19 Dec 2006 10:51:14 +0100
125
126evolution-data-server (1.9.3-0ubuntu1) feisty; urgency=low
127
128  * New upstream version:
129    Bug fixes : 330157, 350880, 328836, 348123, 365000, 353924.
130    174655, 222605, 219729, 208318, 207960. (bugzilla.novell.com)
131    plus miscellaneous code clean-ups and memory leak fixes.
132
133 -- Sebastien Bacher <seb128@canonical.com>  Tue,  5 Dec 2006 10:03:15 +0100
134
135evolution-data-server (1.9.2-0ubuntu2) feisty; urgency=low
136
137  * debian/rules:
138    - don't specify the paths for nspr and nss since the package is built
139      with firefox
140
141 -- Sebastien Bacher <seb128@canonical.com>  Mon,  4 Dec 2006 12:50:53 +0100
142
143evolution-data-server (1.9.2-0ubuntu1) feisty; urgency=low
144
145  * Sync with Debian
146  * New upstream version:
147    Bug fixes :
148    330157, 369368, 312348, 365000.
149  * debian/control:
150    - build with libnss-dev (firefox) rather than libnss3-dev (xulrunner)
151    - evolution-data-server Breaks evolution (<< 2.9),
152      evolution-exchange (<= 2.8.1-0ubuntu1),
153      evolution-jescs (<= 2.8.2-0ubuntu3),
154      evolution-scalix (<= 10.0.0.357-0ubuntu6)
155    - libedataserver1.2-dev Depends on libnspr-dev
156    - libcamel1.2-8 Depends on libnss3
157    - libedataserverui1.2-8 Depends on libnspr4
158    - libebook1.2-9 Depends on libnspr4
159    - new sonames for libedataserver1.2 and libegroupwise1.2
160    - updated glib requirement to 2.10.0 according to configure
161  * debian/libedataserver1.2-7.install, debian/libegroupwise1.2-12.install:
162    - renamed for soname changes
163  * debian/evolution-data-server-common.install,
164    debian/libcamel1.2-dev.install, debian/libexchange-storage1.2-dev.install
165    debian/libecal1.2-dev.install, debian/libecal1.2-dev.install,
166    debian/libedata-book1.2-dev.install, debian/libedata-cal1.2-dev.install,
167    debian/libedataserver1.2-dev.install, debian/libegroupwise1.2-dev.install,
168    debian/libedataserverui1.2-dev.install, debian/libebook1.2-dev.install:
169    - updated version number from 1.8 to 1.10
170  * debian/patches/01_translationfiles.patch:
171    - fix the list of files to translate.
172  * debian/patches/10_change_powerpc_optimizations_for_camel_TEMPORARY.patch:
173    - drop that Ubuntu patch, that was a gcc bug workaround and gcc should
174      be fixed instead if that hasn't be done yet
175  * debian/patches/20_revert-exchange-offline-supported-patch.patch:
176    - fixed with the new version
177  * debian/watch:
178    - updated
179
180 -- Sebastien Bacher <seb128@canonical.com>  Wed, 29 Nov 2006 14:56:50 +0100
181
182evolution-data-server (1.8.1-3) experimental; urgency=low
183
184  * Add recursive lock to avoid race condition in file backend. Thanks
185    to Patrick Ohly. (closes: #395416)
186    [debian/patches/50_file-backend-recursive-locking.patch]
187
188 -- Oystein Gisnas <oystein@gisnas.net>  Tue, 31 Oct 2006 22:15:53 +0100
189
190evolution-data-server (1.8.1-2) experimental; urgency=low
191
192  * Revert obtrusive exchange performance patch. (closes: #391022)
193    [debian/patches/20_revert-exchange-offline-supported-patch.patch]
194  * For now, do not use gnome-keyring. [debian/rules] (closes: #392061)
195
196 -- Oystein Gisnas <oystein@gisnas.net>  Sun, 22 Oct 2006 09:51:16 +0200
197
198evolution-data-server (1.8.1-1) experimental; urgency=low
199
200  * New upstream release
201
202 -- Heikki Henriksen <heikkih@gmail.com>  Tue,  3 Oct 2006 15:19:32 +0200
203
204evolution-data-server (1.8.0-3) experimental; urgency=low
205
206  [ oysteigi ]
207  * Correct camel-providers dir calculation.
208    [debian/patches/45_libcamel_providers_version.patch]
209
210 -- Heikki Henriksen <heikkih@gmail.com>  Tue, 26 Sep 2006 09:55:24 +0200
211
212evolution-data-server (1.8.0-2) experimental; urgency=low
213
214  * Add build-dep on libglade2-dev for eds-ui [debian/control]
215  * Enable gtk-doc [debian/rules]
216
217 -- Heikki Henriksen <heikkih@gmail.com>  Thu, 21 Sep 2006 14:15:44 +0200
218
219evolution-data-server (1.8.0-1) experimental; urgency=low
220
221  [ Oystein Gisnas ]
222  * debian/patches/55_no-fallback-for-tls.patch: Applied upstream
223  * debian/patches/60_gpg-smartcard.patch: Applied upstream
224  * debian/patches/9?_from_cvs_*.patch: Applied upstream
225  * debian/rules: Explicitly enable dynamic libdb
226  * debian/rules: Enable gnome-keyring integration
227  * debian/patches/20_xulrunner.patch: remove - fixed upstream
228  * debian/patches/35_external-libdb.patch - fixed upstream
229  * libebook1.2-5 -> libebook1.2-9 SONAME change
230  * libedataserverui1.2-6 -> libedataserverui1.2-8 SONAME change
231  * libegroupwise1.2-9 -> libegroupwise1.2-12 SONAME change
232  * libexchange1.2-1 -> libexchange1.2-2 SONAME change
233  * Remove libdb-dev build dep - no longer compiles with libdb3-dev.
234    [debian/control]
235
236  [ Heikki Henriksen ]
237  * New upstream release (1.8.0)
238  * Updated watch-file to follow 1.8-series
239  * Removed patch applied upstream [debian/patches/10_de_translation.patch]
240  * Add build-depend on libgnome-keyring-dev [debian/control]
241  * libecal1.2-5 -> libecal1.2-7 SONAME change
242  * libedatacal1.2-5 -> libedatacal1.2-6 SONAME change
243  * Update soname-changes in descriptions [debian/control]
244  * Update patch for camel pkg-config [debian/patches/10_camel-pkg-config-requires.patch]
245  * Update small translation patch [debian/patches/11_it_translation.patch]
246  * Update camel-version patch [debian/patches/40_libcamel_soname_version.patch]
247  * Update camel-providers patch [debian/patches/45_libcamel_providers_version.patch]
248
249 -- Heikki Henriksen <heikkih@gmail.com>  Mon, 11 Sep 2006 22:35:46 +0200
250
251evolution-data-server (1.6.3-1) unstable; urgency=low
252
253  * New upstream release
254  * Depend on (= source:Version) of -common package for binNMU
255    compatibility. [debian/control]
256  * Explicitly build-depend on everything used in configure.in.
257    [debian/control]
258  * Bump libegroupwise SONAME to libegroupwise1.2-10.
259    [debian/control, debian/libegroupwise1.2-10.install]
260  * Drop patch applied upstream:
261    - 92_from_cvs_fix_attachment_icon_to_messages_list.patch
262  * Let evolution-data-server-dev depend only on what's in its
263    .pc file. This means that deps on e-d-s-dev has to be replaced
264    by explicit deps to each library. [debian/control]
265
266 -- Oystein Gisnas <oystein@gisnas.net>  Tue,  8 Aug 2006 10:56:51 +0200
267
268evolution-data-server (1.6.2-3) unstable; urgency=low
269
270  [ Oystein Gisnas ]
271  * debian/control: Add ${misc:Depends}
272  * debian/control: Clean up dependencies
273  * debian/patches/10_pkg-config-requires.patch: Fix camel pkgconfig
274
275  [ Heikki Henriksen ]
276  * Added libglade2-dev to dep for libedataserverui-dev [debian/control]
277
278 -- Oystein Gisnas <oystein@gisnas.net>  Sun, 18 Jun 2006 15:57:23 +0200
279
280evolution-data-server (1.6.2-2) unstable; urgency=low
281
282  [ Heikki Henriksen ]
283  * Make package binNMU-safe:
284    - build-depend on dpkg-dev >= 1.13.19. [debian/control]
285    - Use ${binary:Version} [debian/control]
286  * Lower build-dep on cdbs to what's needed, and not work around the
287    broken version [debian/control]
288
289 -- Heikki Henriksen <heikkih@gmail.com>  Mon, 12 Jun 2006 11:36:00 +0200
290
291evolution-data-server (1.6.2-1) unstable; urgency=low
292
293  [ Heikki Henriksen ]
294  * New upstream release
295  * Soname-bump for libecal & libedatacal
296    [debian/control]
297  * Bump build-dep on cdbs (>= 0.4.40) to fix DEB_SHLIBDEPS_INCLUDE
298    [debian/control]
299  * Change dep on Source-Version from = to >= to have it binNMU-able
300    [debian/control]
301  * Move architechture independent files to package
302    evolution-data-server-common
303  * Add replaces evolution-data-server1.2 [debian/control] (closes: #371863)
304  * Updated patches:
305    - debian/patches/20_xulrunner.patch
306    - debian/patches/35_external-libdb.patch
307    - debian/patches/40_libcamel_soname_version.patch
308    - debian/patches/45_libcamel_providers_version.patch
309    - debian/patches/60_gpg-smartcard.patch
310    - debian/patches/91_from_cvs_valid_utf8_vcard.patch
311    - debian/patches/92_from_cvs_fix_attachment_icon_to_messages_list.patch
312  * Drop patches applied upstream:
313    - debian/patches/55_no-fallback-for-tls.patch
314    - debian/patches/90_from_cvs_dont_override_namespace_when_not_required.patch
315    - debian/patches/93_from_cvs_fix_prefered_encoding.patch
316    - debian/patches/94_from_cvs_fix_compare_im_performances_and_leak.patch
317
318  [ Oystein Gisnas ]
319  * debian/evolution-data-server-dev.install: Remove the rest of .la
320    files
321
322 -- Heikki Henriksen <heikkih@gmail.com>  Sun, 11 Jun 2006 20:26:50 +0200
323
324evolution-data-server (1.6.1-3) unstable; urgency=low
325
326  [ Oystein Gisnas ]
327  * debian/rules: Set CFLAG += -fPIC to comply to Debian Policy 3.7.1
328  * debian/control: Claim compliance with Debian Policy 3.7.2
329  * Dropped installation of .la-files to /usr/lib in -dev packages
330
331  [ Heikki Henriksen ]
332  * pull patches from ubuntu:
333  - 90_from_cvs_dont_override_namespace_when_not_required.patch
334  - 91_from_cvs_valid_utf8_vcard.patch
335  - 92_from_cvs_fix_attachment_icon_to_messages_list.patch
336  - 93_from_cvs_fix_prefered_encoding.patch
337  - 94_from_cvs_fix_compare_im_performances_and_leak.patch
338  * debian/control: update build-dep & -dev deps to libdb4.4-dev
339
340 -- Heikki Henriksen <heikkih@gmail.com>  Tue, 23 May 2006 23:04:30 +0200
341
342evolution-data-server (1.6.1-2) unstable; urgency=low
343
344  * debian/patches/35_external-libdb.patch:
345    update to fix disable build of internal libdb, so we can build on
346    mips/mipsel
347  * debian/control.in: removed
348  * debian/rules, debian/lib*@VER*: remove update-control
349  * debian/control: add suggests on evolution-data-server-dbg
350  * debian/copyright: fix slight typo
351
352 -- Heikki Henriksen <heikkih@gmail.com>  Wed,  3 May 2006 14:42:12 +0200
353
354evolution-data-server (1.6.1-1) unstable; urgency=low
355
356  [ Heikki Henriksen ]
357  * Upload to unstable
358  * New upstream release (1.6.1)
359  * debian/patches/10_de_translation.patch (closes: #313698)
360  * debian/patches/11_it_translation.patch (closes: #295269)
361  * debian/control[.in]: bump debhelper build-dep to > 5.0.0
362  * debian/rules: clean out clean::
363  * e-d-s is now restarted on upgrade (closes: #319054)
364  * debian/watch: added
365  * debian/control[.in]: remove old unnecessary conflicts/replaces
366  * debian/patches/55_no-fallback-for-tls.patch:
367    don't fallback to plain password for tls/ssl (upstream bug 321797)
368  * debian/patches/60_gpg-smartcard.patch:
369    Handle GPG keys stored on a smartcard device. Thanks to Tilman Koschnick
370    (closes: #365327)
371
372  [ Oystein Gisnas ]
373  * Make libcamel versioned and remove conflict with previous versions
374  * Move libcamel providers to e-d-s package
375  * debian/contol{,.in}: Change Recommends: evolution to Suggests:
376  * debian/copyright:
377    Mention current package maintainer
378    More detailed path of download location
379    Include authors from all files, not just AUTHORS
380    Include Copyright owner
381    Change copyright statement from GPL-2 to LGPL-2 (ref. COPYING)
382    Mention all other copyright holders and specific licenses
383
384
385 -- Heikki Henriksen <heikkih@gmail.com>  Mon,  1 May 2006 11:02:00 +0200
386
387evolution-data-server (1.6.0-1) experimental; urgency=low
388
389  * New upstream release
390  * Target experimental
391  * Added -dbg-package
392  * debian/patches/20_xulrunner.patch:
393    Build with xulrunner
394  * debian/patches/35_external-libdb.patch:
395    Build with debian's libdb4.3
396  * Change build-dep from libgnutls11-dev to libgnutls-dev
397  * Add gtk-doc for lib*-dev (closes: #316063)
398
399 -- Heikki Henriksen <heikkih@gmail.com>  Wed, 29 Mar 2006 15:52:31 +0100
400
401evolution-data-server (1.4.2.1-2) unstable; urgency=medium
402
403  * Acknowledge NMU (closes: #358590)
404  * Add myself to Uploaders
405  * Add back hurd-i386 build-dep for libldap2-dev (closes: #357261)
406  * Add libgtk2.0-dev in dep for libedataserverui-dev (closes: #358914)
407  * debian/patches/50_imapoffline_imap-store.patch:
408    fix crash with Draft-saving when offline
409  * debian/patches/51_uw-imapd-new-folder_imap-command.patch:
410  * debian/patches/55_camel-imap-command-1.71.2.3.patch
411    fix hang on new folder with uw-imapd
412    fix access to utf8-folders in imap
413  * debian/patches/55_camel-imap-store-1.330.2.2.patch
414    fix access to utf8-folders in imap
415  * debian/patches/55_camel-imap-store-summary.1.16.2.1.patch
416    fix access to utf8-folders in imap
417  * debian/patches/81_reload-http_e-cal-backend-http.patch:
418    fix crash on http-cal-reload
419  * debian/patches/60_e-name-selector-dialog.1.24.patch:
420    put focus on search in "Select from Addressbook"
421  * debian/patches/61_e-name-selector-dialog.1.26.patch:
422    crash on "Select from Addressbook" (closes: #359200, #354448)
423     
424 -- Heikki Henriksen <heikkih@gmail.com>  Sun, 26 Mar 2006 17:28:44 +0100
425
426evolution-data-server (1.4.2.1-1.1) unstable; urgency=low
427
428  * NMU to fix crasher in e-cal-backend-http
429    (pulled from upstream cvs)
430
431 -- Heikki Henriksen <heikkih@gmail.com>  Thu, 23 Mar 2006 11:43:52 +0000
432
433evolution-data-server (1.4.2.1-1) unstable; urgency=low
434
435  * New uptream release.
436    - fixes an implicit pointer conversion (closes: #431323).
437  * ACK Steve Langasek's NMU; thanks! (closes: #344829).
438  * Upload to unstable.
439  * Update patches:
440    - 70_rebootstrap.patch: update, including a full intltoolisation, as
441      upstream's is broken.
442
443 -- Jordi Mallach <jordi@debian.org>  Mon,  9 Jan 2006 03:28:07 +0100
444
445evolution-data-server (1.4.1.1-1.1) experimental; urgency=low
446
447  * Non-maintainer upload.
448  * Added libexchange-storage and libexchange-storage-dev. The Exchange
449    server communication code has moved to evolution-data-server under
450    servers/exchange.  Patch from Sebastien Bacher and Lawrence Walton.
451    Closes: #344829.
452
453 -- Steve Langasek <vorlon@debian.org>  Fri,  6 Jan 2006 11:07:51 -0800
454
455evolution-data-server (1.4.1.1-1) experimental; urgency=high
456
457  [ Jordi Mallach ]
458  * New upstream release.
459  * Merge all changes from 1.2.3-4.1, 1.2.3-4.2, 1.2.3-5 and 1.2.3-6 to
460    experimental.
461  * debian/patches/ia64_crash_fix.patch: update for new version.
462
463  [ Loic Minier ]
464  * Merge changes from 1.2.3-7 to experimental.
465  * Drop patches merged upstream:
466    - 10_pc-files-inversion.patch
467  * Update patches to apply cleanly:
468    - 05_libical-declare-const.patch
469    - 15_amd64-build.patch
470    - 20_decode-non-space-separated-mime-header.patch
471  * Port the patch to build against Debian's libdb4.2 to the new upstream
472    release, 35_use-debians-libdb42.patch, and update the reboostrapping
473    patch, 70_rebootstrap.patch.
474  * Update FSF address in copyright file.
475  * Clarify License versus Copyright and update authors list in copyright
476    file.
477  * Fix description of libedataserver and libedataserverui packages.
478    (Closes: #291469)
479  * Add CDBS' utils.
480  * Wrap description of libedataserverui1.2-dev.
481  * Follow libcamel's SONAME changes:
482    - Uncomment the configure.in scanning hack for libcamel as the SONAME /
483      libtool version-info is updated for -provider.
484      (Closes: #333142, #337464)
485    - Add debian/libcamel1.2-6.install and remove old debian/lib*.install for
486      previous SONAMEs.
487    - Add Conflicts / Replaces with libcamel1.2-0 on libcamel1.2-@VER@.
488  * Merge changes from 1.2.3-8 to experimental.
489  * Move libcamel from the libdevel section to libs. (Closes: #305611)
490  * Remove superfluous self-depends of libcamel@VER@-dev.
491  * Sync shlibs.
492  * E-D-S plugins are in /usr/lib/evolution-data-server-1.2, not 1.4.
493    [debian/evolution-data-server.install]
494
495 -- Loic Minier <lool@dooz.org>  Mon,  7 Nov 2005 17:22:25 +0100
496
497evolution-data-server (1.4.1-1) experimental; urgency=low
498
499  * New upstream release
500
501 -- Takuo KITAME <kitame@debian.org>  Mon, 10 Oct 2005 05:34:04 +0900
502
503evolution-data-server (1.4.0-3) experimental; urgency=low
504
505  * libedataserver1.2-dev: fix unmet dependency.
506
507 -- Takuo KITAME <kitame@debian.org>  Mon, 10 Oct 2005 05:08:29 +0900
508
509evolution-data-server (1.4.0-2) experimental; urgency=low
510
511  * Build against libdb4.2
512
513 -- Takuo KITAME <kitame@debian.org>  Wed, 21 Sep 2005 16:55:06 +0900
514
515evolution-data-server (1.4.0-1) experimental; urgency=low
516
517  * New upstream release
518
519 -- Takuo KITAME <kitame@debian.org>  Mon, 12 Sep 2005 02:23:41 +0900
520
521evolution-data-server (1.2.3-8) unstable; urgency=high
522
523  * Add depends to *-dev packages to match .la files referenced in the
524    dependency_libs of *.la files they ship:
525    - evolution-data-server-dev: libaudiofile-dev, libbonobo2-dev,
526    libdb4.2-dev, libebook1.2-dev, libecal1.2-dev, libedataserver1.2-dev,
527    libesd0-dev, libgconf2-dev, libgcrypt11-dev, libglib2.0-dev,
528    libgnome2-dev, libgnomevfs2-dev, libgnutls11-dev, libgpg-error-dev,
529    liborbit2-dev, libpopt-dev, libsoup2.2-dev, libtasn1-2-dev, libxml2-dev
530    - libedataserver1.2-dev: libaudiofile-dev, libbonobo2-dev, libesd0-dev,
531    libgconf2-dev, libgcrypt11-dev, libglib2.0-dev, libgnome2-dev,
532    libgnomevfs2-dev, libgnutls11-dev, libgpg-error-dev, liborbit2-dev,
533    libpopt-dev, libtasn1-2-dev, libxml2-dev
534    - libedataserverui1.2-dev: libaudiofile-dev, libbonobo2-dev,
535    libcamel1.2-dev, libdb4.2-dev, libebook1.2-dev, libesd0-dev,
536    libgconf2-dev, libgcrypt11-dev, libglib2.0-dev, libgnomevfs2-dev,
537    libgnutls11-dev, libgpg-error-dev, liborbit2-dev, libpopt-dev,
538    libtasn1-2-dev, libxml2-dev (Closes: #337422)
539    - libebook1.2-dev: libaudiofile-dev, libbonobo2-dev, libcamel1.2-dev,
540    libesd0-dev, libgconf2-dev, libgcrypt11-dev, libglib2.0-dev,
541    libgnomevfs2-dev, libgnutls11-dev, libgpg-error-dev, liborbit2-dev,
542    libpopt-dev, libtasn1-2-dev, libxml2-dev
543    - libedata-book1.2-dev: libaudiofile-dev, libbonobo2-dev, libcamel1.2-dev,
544    libdb4.2-dev, libedataserver1.2-dev, libesd0-dev, libgconf2-dev,
545    libgcrypt11-dev, libglib2.0-dev, libgnome2-dev, libgnomevfs2-dev,
546    libgnutls11-dev, libgpg-error-dev, liborbit2-dev, libpopt-dev,
547    libtasn1-2-dev, libxml2-dev (Closes: #337421)
548    - libecal1.2-dev: libaudiofile-dev, libbonobo2-dev, libdb4.2-dev,
549    libesd0-dev, libgconf2-dev, libgcrypt11-dev, libglib2.0-dev,
550    libgnomevfs2-dev, libgnutls11-dev, libgpg-error-dev, liborbit2-dev,
551    libpopt-dev, libtasn1-2-dev, libxml2-dev
552    - libedata-cal1.2-dev: libaudiofile-dev, libbonobo2-dev, libdb4.2-dev,
553    libedataserver1.2-dev, libesd0-dev, libgconf2-dev, libgcrypt11-dev,
554    libglib2.0-dev, libgnome2-dev, libgnomevfs2-dev, libgnutls11-dev,
555    libgpg-error-dev, liborbit2-dev, libpopt-dev, libtasn1-2-dev, libxml2-dev
556    - libegroupwise1.2-dev: libaudiofile-dev, libbonobo2-dev, libesd0-dev,
557    libgconf2-dev, libgcrypt11-dev, libglib2.0-dev, libgnome2-dev,
558    libgnomevfs2-dev, libgnutls11-dev, libgpg-error-dev, liborbit2-dev,
559    libpopt-dev, libtasn1-2-dev, libxml2-dev
560    - libcamel1.2-dev: libaudiofile-dev, libbonobo2-dev, libcamel1.2-dev,
561    libegroupwise1.2-dev, libesd0-dev, libgconf2-dev, libgcrypt11-dev,
562    libglib2.0-dev, libgnome2-dev, libgnomevfs2-dev, libgnutls11-dev,
563    libgpg-error-dev, liborbit2-dev, libpopt-dev, libsoup2.2-dev,
564    libtasn1-2-dev, libxml2-dev
565  * Add ${misc:Depends} to all Depends.
566
567 -- Loic Minier <lool@dooz.org>  Sat,  5 Nov 2005 16:13:06 +0100
568
569evolution-data-server (1.2.3-7) unstable; urgency=high
570
571  * Update the patch to build against Debian's libdb4.2 instead of the bundled
572    libdb4.1 copy.
573    - Clean up.
574    - Split in two patches, one for configure.in and **/Makefile.am, the other
575      to update generated files: debian/patches/35_use-debians-libdb42.patch
576      and debian/patches/70_rebootstrap.patch (result of automake-1.7 &&
577      autoconf && rm -rf autom4te.cache)
578    - Also cover the addressbook/backends/file sub-directory.
579      (Closes: #336761, #336897, #337018, #337077)
580  * Add DEB_FIXPERMS_EXCLUDE to preserve the mail group and the setgid bit of
581    usr/lib/evolution/evolution-data-server*. (Closes: #336755)
582  * Re-create patches applying cleanly, preprend a number to patches missing
583    one.
584    - debian/patches/05_libical-declare-const.patch: cleaned up, renamed.
585    - debian/patches/10_pc-files-inversion.patch: cleaned up, renamed.
586    - debian/patches/15_amd64-build.patch: cleaned up, renamed.
587    - debian/patches/20_decode-non-space-separated-mime-header.patch: cleaned
588      up, renamed.
589    - debian/patches/25_ia64-crash.patch: cleaned up, renamed.
590    - debian/patches/30_dont-send-second-pop-capa.patch: cleaned up, renamed.
591  * Don't overwrite DEB_SHLIBDEPS_INCLUDE, DEB_CONFIGURE_EXTRA_FLAGS, nor
592    DEB_DH_MAKESHLIBS_ARGS_ALL.
593  * Add myself to Uploaders.
594
595 -- Loic Minier <lool@dooz.org>  Wed,  2 Nov 2005 17:12:50 +0100
596
597evolution-data-server (1.2.3-6) unstable; urgency=low
598
599  * debian/control.in, debian/control:
600    - duplicate all changes made in the
601      last three uploads to sync both files. debian/control isn't regenerated
602      at build time, so many changes were missing.
603    - bump Standards-Version to 3.6.2.0, no changes required.
604
605 -- Jordi Mallach <jordi@debian.org>  Mon, 31 Oct 2005 13:24:39 +0100
606
607evolution-data-server (1.2.3-5) unstable; urgency=low
608
609  * Acknowledge NMU changes, thanks James Troup and Loïc Minier
610    (closes: #331569, #330013, #331570, #331571).
611  * Forwardport a security improvement from evolution 2.0.3-1.2 that got
612    lost later on:
613    - debian/rules: move here chmod/chgrp calls for camel-lock-helper
614      from evolution-data-server.postinst, and make it sgid mail, not
615      suid root.
616    - debian/evolution-data-server.postinst: removed.
617  * Patch from Michael Banck to not build with libldap2-dev on hurd-i386
618    (closes: #315163).
619    - debian/control.in (Build-Depends): Do not Build-Depend on
620      libldap2-dev on hurd-i386.
621    - debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Do not add --with-openldap
622      on GNU/Hurd.
623  * Move to team maintenance:
624    - debian/control.in:
625      + set maintainer to Debian Evolution Maintainers
626        <pkg-evolution-maintainers@lists.alioth.debian.org>.
627      + add Takuo, Marga and me to Uploaders.
628
629 -- Jordi Mallach <jordi@debian.org>  Mon, 31 Oct 2005 10:06:04 +0100
630
631evolution-data-server (1.2.3-4.2) unstable; urgency=high
632
633  * Non-maintainer upload.
634  * Urgency high for RC bug fix.
635  * Add missing libdb4.2-dev dependency to libebook1.2-dev and
636    libcamel1.2-dev. (Closes: #331570, #331571)
637
638 -- Loic Minier <lool@dooz.org>  Sat,  8 Oct 2005 17:42:11 +0200
639
640evolution-data-server (1.2.3-4.1) unstable; urgency=low
641
642  * debian/control: fix libedataserver1.2-dev to Depend on libdb4.2-dev
643    rather than libdb4.1-dev.  Closes: #331569, #330013
644
645 -- James Troup <james@nocrew.org>  Sat,  8 Oct 2005 01:54:09 +0100
646
647evolution-data-server (1.2.3-2) unstable; urgency=low
648
649  * libcamel-dev: depends on libkrb5-dev (closes: #318981, #319787)
650
651 -- Takuo KITAME <kitame@debian.org>  Mon,  1 Aug 2005 12:38:53 +0900
652
653evolution-data-server (1.2.3-1) unstable; urgency=low
654
655  * New upstream release
656  * enable GSSAPI. (closes: Bug#317175)
657  * close bugs which fixed in 1.2.2-6 (closes: #305597, #308927)
658
659 -- Takuo KITAME <kitame@debian.org>  Wed, 13 Jul 2005 14:29:57 +0900
660
661evolution-data-server (1.2.2-6) unstable; urgency=low
662
663  * Maintainer upload (closes: #305597)
664  * Change package name untagged. (except libraries) (closes: #308927)
665  * build with -sa
666  * e-d-s: conflicts and replaces with e-d-s1.2
667  * e-d-s-dev: conflicts and replaces with e-d-s1.2-dev
668
669 -- Takuo KITAME <kitame@debian.org>  Thu, 23 Jun 2005 12:48:03 +0900
670
671evolution-data-server1.2 (1.2.2-5.1) unstable; urgency=low
672
673  * Non-maintainer upload.
674  * Rename ia64_crash_fix to ia64_crash_fix.patch, so that the build system
675    will pick it up.  (closes: #305597)
676
677 -- dann frazier <dannf@debian.org>  Tue, 24 May 2005 15:38:49 -0600
678
679evolution-data-server1.2 (1.2.2-5) unstable; urgency=low
680
681  * libedataserver1.2: depends on libnspr4 (closes: #309449)
682  * libedataserver1.2-dev: depends on libnspr-dev (closes: #309189)
683
684 -- Takuo KITAME <kitame@debian.org>  Wed, 18 May 2005 15:59:32 +0900
685
686evolution-data-server1.2 (1.2.2-4) unstable; urgency=low
687
688  * fix dependency of *-dev packages. (closes: Bug#307931)
689
690 -- Takuo KITAME <kitame@debian.org>  Tue, 10 May 2005 12:49:34 +0900
691
692evolution-data-server1.2 (1.2.2-3) unstable; urgency=low
693
694  * fix crash on ia64 when clicking on "reply" in evolution mailer (closes: #305597)
695  * applied patch to use system libdb (closes: #305518)
696
697 -- Takuo KITAME <kitame@debian.org>  Thu,  5 May 2005 19:49:11 +0900
698
699evolution-data-server1.2 (1.2.2-2) unstable; urgency=low
700
701  * applied amd64 build fix patch. (closes: #304584)
702  * trying force decode not-space-separated mime header.
703    Feel free to submit bug caused by this patch.
704
705 -- Takuo KITAME <kitame@debian.org>  Thu, 14 Apr 2005 18:22:29 +0900
706
707evolution-data-server1.2 (1.2.2-1) unstable; urgency=high
708
709  * New upstream release
710  * Build-Depends on libnss-dev, It will fix SSL issue.
711    closes: #304361, #304243, #304279, #304243, #304083, #299603
712  * debian/rules: added some configure options from evolution/debian/rules.
713  * libebook1.2-dev depend on libnss-dev (closes: #304085)
714  * libebook1.2 depend on libcamel1.2 (closes: #304075)
715  * fix description (closes: #303761)
716
717 -- Takuo KITAME <kitame@debian.org>  Wed, 13 Apr 2005 17:57:28 +0900
718
719evolution-data-server1.2 (1.2.1-1) unstable; urgency=low
720
721  * New upstream release
722  * upload to unstable/main.
723
724 -- Takuo KITAME <kitame@debian.org>  Tue, 29 Mar 2005 11:34:48 +0900
725
726evolution-data-server1.2 (1.1.6-1) experimental; urgency=low
727
728  * New upstream release
729
730 -- Takuo KITAME <kitame@debian.org>  Tue, 22 Mar 2005 14:20:55 +0900
731
732evolution-data-server1.2 (1.1.5-2) experimental; urgency=low
733
734  * remove unnecessary dependency.
735
736 -- Takuo KITAME <kitame@debian.org>  Mon, 28 Feb 2005 16:48:26 +0900
737
738evolution-data-server1.2 (1.1.5-1) experimental; urgency=low
739
740  * New upstream release
741
742 -- Takuo KITAME <kitame@debian.org>  Mon, 21 Feb 2005 18:45:56 +0900
743
744evolution-data-server1.2 (1.1.4-1) experimental; urgency=low
745
746  * New upstream release
747
748 -- Takuo KITAME <kitame@debian.org>  Fri,  4 Feb 2005 14:26:26 +0900
749
750evolution-data-server1.2 (1.1.3-1) experimental; urgency=low
751
752  * New upstream release
753
754 -- Takuo KITAME <kitame@debian.org>  Thu, 13 Jan 2005 13:34:40 +0900
755
756evolution-data-server1.2 (1.1.2-4) experimental; urgency=low
757
758  *  chmod u+s /usr/lib/evolution/camel-lock-helper-1.2
759
760 -- Takuo KITAME <kitame@debian.org>  Thu,  6 Jan 2005 18:48:04 +0900
761
762evolution-data-server1.2 (1.1.2-3) experimental; urgency=low
763
764  * Conflicts and Replaces libedata-cal1.2-0, libedata-book1.2-0 and libegroupwise1.2-0 (= 1.1.2-1)
765  * includes libcamel*.la into libcamel1.2-dev
766
767 -- Takuo KITAME <kitame@debian.org>  Thu,  6 Jan 2005 16:22:10 +0900
768
769evolution-data-server1.2 (1.1.2-2) experimental; urgency=low
770
771  * separate libcamel package.
772  * evolution-data-server1.2-dev depends on earch libdevel packages.
773
774 -- Takuo KITAME <kitame@debian.org>  Thu,  6 Jan 2005 15:23:40 +0900
775
776evolution-data-server1.2 (1.1.2-1) experimental; urgency=low
777
778  * New upstream release
779  * build-depends on libgnomeui-dev (closes: #281339)
780
781 -- Takuo KITAME <kitame@debian.org>  Thu,  6 Jan 2005 14:37:02 +0900
782
783evolution-data-server1.2 (1.1.1-1) experimental; urgency=low
784
785  * New upstream release
786  * Build depends on libgnome2-dev (closes: #281339)
787
788 -- Takuo KITAME <kitame@debian.org>  Fri, 17 Dec 2004 15:42:46 +0900
789
790evolution-data-server1.2 (1.1.0-1) experimental; urgency=low
791
792  * New upstream release
793  * tagged package name 1.2.
794
795 -- Takuo KITAME <kitame@debian.org>  Fri,  5 Nov 2004 11:46:58 +0900
796
797evolution-data-server (1.0.2-2) unstable; urgency=low
798
799  * upload to unstable/main
800
801 -- Takuo KITAME <kitame@debian.org>  Tue, 19 Oct 2004 11:51:47 +0900
802
803evolution-data-server (1.0.2-1) experimental; urgency=low
804
805  * New upstream release
806
807 -- Takuo KITAME <kitame@debian.org>  Wed, 13 Oct 2004 12:00:09 +0900
808
809evolution-data-server (1.0.1-1) experimental; urgency=low
810
811  * New upstream release
812
813 -- Takuo KITAME <kitame@debian.org>  Wed, 29 Sep 2004 15:31:14 +0900
814
815evolution-data-server (1.0.0-1) experimental; urgency=low
816
817  * New upstream release, RC package for uploading into main.
818  * change package structure.
819    lib* is into own package.
820    e-d-s-dev is meta package of lib*-dev packages.
821  (closes: #270678)
822
823 -- Takuo KITAME <kitame@debian.org>  Tue, 14 Sep 2004 17:09:57 +0900
824
825evolution-data-server (0.0.99-1) experimental; urgency=low
826
827  * New upstream release
828
829 -- Takuo KITAME <kitame@debian.org>  Tue, 31 Aug 2004 13:55:25 +0900
830
831evolution-data-server (0.0.98-1) experimental; urgency=low
832
833  * New upstream release
834
835 -- Takuo KITAME <kitame@debian.org>  Mon, 16 Aug 2004 12:42:30 +0900
836
837evolution-data-server (0.0.97-1) experimental; urgency=low
838
839  * New upstream release
840
841 -- Takuo KITAME <kitame@debian.org>  Thu,  5 Aug 2004 18:58:54 +0900
842
843evolution-data-server (0.0.96-1) experimental; urgency=low
844
845  * New upstream release
846  * remove useless files in doc (closes: #257405)
847
848 -- Takuo KITAME <kitame@debian.org>  Tue, 20 Jul 2004 16:18:03 +0900
849
850evolution-data-server (0.0.95-1) experimental; urgency=low
851
852  * New upstream release
853
854 -- Takuo KITAME <kitame@debian.org>  Thu,  8 Jul 2004 18:41:50 +0900
855
856evolution-data-server (0.0.94.1-2) experimental; urgency=low
857
858  * --with-uniquename=eds (closes: #255727)
859
860 -- Takuo KITAME <kitame@debian.org>  Wed, 30 Jun 2004 00:15:58 +0900
861
862evolution-data-server (0.0.94.1-1) experimental; urgency=low
863
864  * New upstream release
865  * use cdbs instead of cdb
866
867 -- Takuo KITAME <kitame@debian.org>  Mon, 28 Jun 2004 10:59:44 +0900
868
869evolution-data-server (0.0.94-1) experimental; urgency=low
870
871  * New upstream release
872  * Conflicts: evolution1.5 (<< 1.5.9)
873
874 -- Takuo KITAME <kitame@debian.org>  Mon,  7 Jun 2004 11:50:34 +0900
875
876evolution-data-server (0.0.93-2) experimental; urgency=low
877
878  * Conflict with evolution1.5 (<< 1.5.8)
879
880 -- Takuo KITAME <kitame@debian.org>  Wed, 26 May 2004 15:36:23 +0900
881
882evolution-data-server (0.0.93-1) experimental; urgency=low
883
884  * New upstream release
885  * build against libgnutls10
886
887 -- Takuo KITAME <kitame@debian.org>  Mon, 24 May 2004 19:47:53 +0900
888
889evolution-data-server (0.0.92-1) experimental; urgency=low
890
891  * New upstream release
892
893 -- Takuo KITAME <kitame@debian.org>  Tue, 20 Apr 2004 17:02:50 +0900
894
895evolution-data-server (0.0.91-2) experimental; urgency=low
896
897  * Applied patch to fix build problem on ppc (closes: #242044)
898  * Build-Depends on gtk-doc-tools (closes: #241227)
899
900 -- Takuo KITAME <kitame@debian.org>  Mon, 12 Apr 2004 09:57:50 +0900
901
902evolution-data-server (0.0.91-1) experimental; urgency=low
903
904  * New upstream release
905
906 -- Takuo KITAME <kitame@debian.org>  Wed,  7 Apr 2004 12:35:34 +0900
907
908evolution-data-server (0.0.90-1) experimental; urgency=low
909
910  * New upstream release
911  * NOTE:
912    libsoup2.2-3 and libgtkhtml3.1-6 package had been uploaded already.
913    But it marked as NEW package and waiting for ACCEPTED.
914    So please wait for installing into archive by ftp-maintainer.
915
916 -- Takuo KITAME <kitame@debian.org>  Tue,  9 Mar 2004 12:59:34 +0900
917
918evolution-data-server (0.0.7-1) experimental; urgency=low
919
920  * New upstream release
921
922 -- Takuo KITAME <kitame@debian.org>  Thu, 19 Feb 2004 14:47:19 +0900
923
924evolution-data-server (0.0.6-1) experimental; urgency=low
925
926  * New upstream release
927
928 -- Takuo KITAME <kitame@debian.org>  Tue,  3 Feb 2004 14:23:19 +0900
929
930evolution-data-server (0.0.5-1) experimental; urgency=low
931
932  * New upstream release
933
934 -- Takuo KITAME <kitame@debian.org>  Tue, 20 Jan 2004 16:43:50 +0900
935
936evolution-data-server (0.0.4-1) experimental; urgency=low
937
938  * New upstream release
939
940 -- Takuo KITAME <kitame@debian.org>  Fri,  9 Jan 2004 14:16:21 +0900
941
942evolution-data-server (0.0.3-2) experimental; urgency=low
943
944  * fix unavailable libdb.a
945
946 -- Takuo KITAME <kitame@debian.org>  Thu, 18 Dec 2003 11:17:42 +0900
947
948evolution-data-server (0.0.3-1) experimental; urgency=low
949
950  * Initial Release.
951
952 -- Takuo KITAME <kitame@debian.org>  Mon, 15 Dec 2003 10:36:50 +0900
953
Note: See TracBrowser for help on using the repository browser.